Twitter / XCommunities
Search X Communities
Use UnifAPI's Twitter / X API to search X Communities with the GET /x/communities/search endpoint.
Authorization
bearerAuth AuthorizationBearer <token>
UnifAPI API key. Provider credentials are managed by UnifAPI.
In: header
Query Parameters
expansions?string
tweet.fields?string
user.fields?string
media.fields?string
place.fields?string
poll.fields?string
pagination_token?string
next_token?string
max_results?integer
Range
1 <= value <= 100query*string
Length
1 <= lengthcommunity.fields?string
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/x/communities/search?query=string"{
"request_id": "string",
"data": [
{
"id": "string",
"name": "string",
"description": "string",
"created_at": "string",
"member_count": 0,
"access": "string",
"join_policy": "string"
}
],
"pagination": {
"has_more": true,
"next_cursor": "string"
},
"billing": {
"credits_charged": 0,
"records_charged": 0,
"balance_remaining": 0,
"truncated_due_to_balance": true
}
}{
"error": {
"type": "validation_error",
"message": "string",
"request_id": "string",
"issues": [
null
],
"billing": {
"credits_required": 0,
"credits_charged": 0,
"records_charged": 0,
"balance_remaining": 0,
"truncated_due_to_balance": true
}
}
}{
"error": {
"type": "validation_error",
"message": "string",
"request_id": "string",
"issues": [
null
],
"billing": {
"credits_required": 0,
"credits_charged": 0,
"records_charged": 0,
"balance_remaining": 0,
"truncated_due_to_balance": true
}
}
}{
"error": {
"type": "validation_error",
"message": "string",
"request_id": "string",
"issues": [
null
],
"billing": {
"credits_required": 0,
"credits_charged": 0,
"records_charged": 0,
"balance_remaining": 0,
"truncated_due_to_balance": true
}
}
}{
"error": {
"type": "validation_error",
"message": "string",
"request_id": "string",
"issues": [
null
],
"billing": {
"credits_required": 0,
"credits_charged": 0,
"records_charged": 0,
"balance_remaining": 0,
"truncated_due_to_balance": true
}
}
}{
"error": {
"type": "validation_error",
"message": "string",
"request_id": "string",
"issues": [
null
],
"billing": {
"credits_required": 0,
"credits_charged": 0,
"records_charged": 0,
"balance_remaining": 0,
"truncated_due_to_balance": true
}
}
}{
"error": {
"type": "validation_error",
"message": "string",
"request_id": "string",
"issues": [
null
],
"billing": {
"credits_required": 0,
"credits_charged": 0,
"records_charged": 0,
"balance_remaining": 0,
"truncated_due_to_balance": true
}
}
}{
"error": {
"type": "validation_error",
"message": "string",
"request_id": "string",
"issues": [
null
],
"billing": {
"credits_required": 0,
"credits_charged": 0,
"records_charged": 0,
"balance_remaining": 0,
"truncated_due_to_balance": true
}
}
}{
"error": {
"type": "validation_error",
"message": "string",
"request_id": "string",
"issues": [
null
],
"billing": {
"credits_required": 0,
"credits_charged": 0,
"records_charged": 0,
"balance_remaining": 0,
"truncated_due_to_balance": true
}
}
}Get Posts from an X Community GET
Use UnifAPI's Twitter / X API to get Posts from an X Community with the GET /x/communities/{id}/tweets endpoint.
Check whether one X user follows another GET
Use UnifAPI's Twitter / X API to check whether one X user follows another with the GET /x/friendships/show endpoint.